# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.spreadsheet
Class WorksheetQuery

    java.lang.Object
      com.google.gdata.client.Query
          com.google.gdata.client.DocumentQuery
              com.google.gdata.client.spreadsheet.WorksheetQuery

    public class WorksheetQuery

extends DocumentQuery

Simple class for worksheets-feed-specific queries.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.client.Query
`Query.CategoryFilter, Query.CustomParameter, Query.ResultFormat`

Field Summary

Fields inherited from class com.google.gdata.client.DocumentQuery
`DEFAULT_SORT_MODE, LAST_MODIFIED_SORT, LAST_VIEWED_SORT, ORDERBY, STARRED_SORT, TITLE, TITLE_EXACT, TITLE_SORT`

Fields inherited from class com.google.gdata.client.Query
`UNDEFINED`

Constructor Summary
`WorksheetQuery(java.net.URL feedUrl)` Constructs a query for querying worksheets within a spreadsheet.

Method Summary

Methods inherited from class com.google.gdata.client.DocumentQuery
`getSortMode, getTitleQuery, isTitleExact, setSortMode, setTitleExact, setTitleQuery`

Methods inherited from class com.google.gdata.client.Query

`addCategoryFilter, addCustomParameter, appendQueryParameter, getAuthor, getCategoryFilters, getCustomParameters, getCustomParameters, getFeedUrl, getFields, getFullTextQuery, getIntegerCustomParameter, getMaxResults, getPublishedMax, getPublishedMin, getQueryUri, getResultFormat, getStartIndex, getStringCustomParameter, getUpdatedMax, getUpdatedMin, getUrl, isStrict, isValidState, setAuthor, setFields, setFullTextQuery, setIntegerCustomParameter, setMaxResults, setPublishedMax, setPublishedMin, setResultFormat, setStartIndex, setStrict, setStringCustomParameter, setUpdatedMax, setUpdatedMin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorksheetQuery

    public WorksheetQuery(java.net.URL feedUrl)

  Constructs a query for querying worksheets within a spreadsheet.

  Parameters:
    `feedUrl` - the feed's URI